import sys
import libvirt
import time

conn = libvirt.open('qemu:///system')
if conn == None:
    print('Failed to open connection to qemu:///system', file=sys.stderr)
    exit(1)

domainName = 'server1'
dom = conn.lookupByName(domainName)
if dom == None:
    print('Failed to get the domain object', file=sys.stderr)

N = 10
cpu_stats = dom.getCPUStats(True)
cpu_time1 = 0
cpu_time2 = 0
for (i, cpu) in enumerate(cpu_stats):
    cpu_time1 = cpu['cpu_time'] / 1000000000.
    print('CPU '+str(i)+' Time: '+str(cpu['cpu_time'] / 1000000000.))

time.sleep(N)

cpu_stats = dom.getCPUStats(True)
for (i, cpu) in enumerate(cpu_stats):
    cpu_time2 = cpu['cpu_time'] / 1000000000.
    print('CPU '+str(i)+' Time: '+str(cpu['cpu_time'] / 1000000000.))

print(100 * (cpu_time2 - cpu_time1) / N)

conn.close()
exit(0)